[submittodebian] not working with custom bzr builddeb builder

Bug #1019817 reported by Jeremy Bicha on 2012-07-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-dev-tools (Ubuntu)
Low
Unassigned

Bug Description

I have to admit I haven't used submittodebian before, but now that I'm doing more merging from Debian, I'd thought I'd give it a try.

$ submittodebian
Building using working tree
Building package in merge mode
Looking for a way to retrieve the upstream tarball
Upstream tarball already exists in build directory, using that
Building the package in /home/jeremy/devel/test/openconnect/build-area/network-manager-openconnect-0.9.4.0, using sbuild -A -d quantal-amd64 -uc -us -nc -S
Unknown option: u
E: Error parsing command-line options
I: Run “sbuild --help” to list usage example and all available options
bzr: ERROR: The build failed.
Traceback (most recent call last):
  File "/usr/bin/submittodebian", line 255, in <module>
    main()
  File "/usr/bin/submittodebian", line 238, in main
    build_source_package()
  File "/usr/bin/submittodebian", line 81, in build_source_package
    check_call(cmd, env=env)
  File "/usr/lib/python2.7/dist-packages/ubuntutools/subprocess.py", line 77, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['bzr', 'bd', '-S', '--', '-uc', '-us', '-nc']' returned non-zero exit status

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: ubuntu-dev-tools 0.143
ProcVersionSignature: Ubuntu 3.5.0-1.1-generic 3.5.0-rc3
Uname: Linux 3.5.0-1-generic x86_64
ApportVersion: 2.2.5-0ubuntu1
Architecture: amd64
CheckboxSubmission: 201084ed41ea7548f8becd47fa4d1e6c
CheckboxSystem: c541d13ea4f205f2fd751f76ed21105b
Date: Fri Jun 29 21:03:12 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
PackageArchitecture: all
SourcePackage: ubuntu-dev-tools
UpgradeStatus: No upgrade log present (probably fresh install)

Jeremy Bicha (jbicha) wrote :

Hi Jeremy (2012.07.01_18:19:12_+0200)
> Building the package in /home/jeremy/devel/test/openconnect/build-area/network-manager-openconnect-0.9.4.0, using sbuild -A -d quantal-amd64 -uc -us -nc -S
> Unknown option: u
...
> subprocess.CalledProcessError: Command '['bzr', 'bd', '-S', '--', '-uc', '-us', '-nc']' returned non-zero exit status

Your bzr is configured to use sbuild when doing source builds? That
seems crazy, or am I missing something?
How do you usually source build in a bzr branch?

Oh ok. Here's my ~/.bazaar/builddeb.conf

[BUILDDEB]
builder = sbuild -A -d quantal-amd64
#builder = sbuild -A -d unstable-amd64
quick-builder = debuild -S -sa

If I comment out the builder line, then submittodebian works. Should submittodebian also work with sbuild?

Changed in ubuntu-dev-tools (Ubuntu):
status: New → Incomplete

Hi Jeremy (2012.07.02_18:39:32_+0200)
> builder = sbuild -A -d quantal-amd64
> quick-builder = debuild -S -sa

Looking at the documentation, I see we only have builder and
quick-builder, not a dedicated source builder.
So the appropriate thing to do here is to specify
--builder=dpkg-buildpackage on our command line.

Changed in ubuntu-dev-tools (Ubuntu):
status: Incomplete → Fix Committed
importance: Undecided → Low
summary: - submittodebian not working in Quantal
+ submittodebian not working with custom bzr builddeb builder
summary: - submittodebian not working with custom bzr builddeb builder
+ [submittodebian] not working with custom bzr builddeb builder
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.144

---------------
ubuntu-dev-tools (0.144) experimental; urgency=low

  [ Stefano Rivera ]
  * Upload to experimental, due to the freeze
  * submittodebian:
    - Use dpkg-buildpackage instead of debuild. It really doesn't need to run
      lintian twice.
    - Use --include instead of --attach when not using reportbug's internal
      MUA.
  * submittodebian, sponsor-patch:
    - Pass --builder=dpkg-buildpackage to bzr bd, in case the user has
      configured a custom builder that doesn't do source builds (LP: #1019817)
  * seeded-in-ubuntu Inform the user when we couldn't determine binary
    packages built by a source package, as it most recently FTBFS.
  * requestbackport:
    - Avoid duplicate Reverse-Build-Deps when sources build binaries of the
      same name.
    - Explain that backports aren't to fix bugs.
  * sponsor-patch: Don't fall over bugs targetted at the development release
    (LP: #936014)
  * ubuntutools.question: Catch EOF and SIGINT on all input and bail out.
    (LP: #1037488)
  * pull-lp-source: Catch errors parsing JSON we got from DDE (LP: #1059848)
  * syncpackage, requestsync: Check the Release pocket if we can't find an
    Ubuntu package in the requested pocket. (LP: #1069867)

  [ Benjamin Drung ]
  * seeded-in-ubuntu: State in error message that it takes a source package.
    (LP: #1029155)
  * sponsor-patch: Fix crash if Debian patch contains a slash.

  [ Colin Watson ]
  * syncpackage: Default to <current_series>-proposed.

 -- Stefano Rivera <email address hidden> Mon, 29 Oct 2012 09:02:29 +0100

Changed in ubuntu-dev-tools (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers